Subject: Re: bug#66646: 29.1.90; No tsx syntax highlithting in typescript-ts-mode

From: Eli Zaretskii <[email-masked]>
Date: Fri, 20 Oct 2023 16:32:59 +0300

> From: Roman Rudakov <[email-masked]>
> Cc: [email-masked]
> Date: Fri, 20 Oct 2023 15:17:01 +0200
> 
> > I cannot reproduce this.  I used a random *.tsx file on my system, 
> > and
> > didn't get any error.  So please post the file you used, and also
> > describe step by step what to do to reproduce the problem starting
> > from "emacs -Q".
> >
> > Thanks.
> 
> After some debugging I figured out that it can be only reproduced when 
> `eglot-ensure` is added to `typescript-ts-mode-hook` and 
> `tsx-ts-mode-hook`. So, steps to reproduce are the following:
> - Optionally install `typescript-language-server` (if it's not 
>   installed there will be eglot error, but the original issue will 
>   still be reproducible).
> - `emacs -Q`
> - evaluate the following:
> 
> (require 'typescript-ts-mode)
> (require 'eglot)
> (add-hook 'typescript-ts-mode-hook #'eglot-ensure)
> (add-hook 'tsx-ts-mode-hook #'eglot-ensure)
> 
> - open attached tsx file.

Thanks, but in that case I cannot debug this because I don't have a
Typescript LSP server installed.  Someone else will need to do that.

Adding João in case he has some inputs or suggestions.